// The Main HAM Library
#include <mygba.h>

// Graphics Includes
// Created using:
//   gfx2gba -fsrc -m -pparadise.pal -t8 paradise.bmp
#include "gfx/paradise.pal.c"
#include "gfx/paradise.raw.c"
#include "gfx/paradise.map.c"

// Function: main()
int main()
{
    // Variables
    map_fragment_info_ptr bg_paradise; // BG pointer

    // Initialize HAMlib
    ham_Init();

    // Setup the background mode
    ham_SetBgMode(1);

    // Initialize the background palette
    ham_LoadBGPal((void*)paradise_Palette,256);
	
    // Setup the tileset for our image
    ham_bg[0].ti = ham_InitTileSet((void*)paradise_Tiles,
            SIZEOF_16BIT(paradise_Tiles),1,1);
	
    // Setup the map for our image
    ham_bg[0].mi = ham_InitMapEmptySet(3,0);
    bg_paradise = ham_InitMapFragment((void*)paradise_Map,
            30,20,0,0,30,20,0);
    ham_InsertMapFragment(bg_paradise,0,0,0);
			
    // Display the background
    ham_InitBg(0,1,0,0);
	
    // Infinite loop to keep the program running
    while(1) {}

    return 0;
} // End of main()

